Package org.eclipse.birt.report.model.api.validators

# Class MasterPageRequiredValidator

java.lang.Object
org.eclipse.birt.report.model.validators.AbstractSemanticValidator
org.eclipse.birt.report.model.validators.AbstractElementValidator
org.eclipse.birt.report.model.api.validators.MasterPageRequiredValidator

public class MasterPageRequiredValidator extends org.eclipse.birt.report.model.validators.AbstractElementValidator
Validates the report should have at least one master page.

### Rule

The rule is that the report should have at least one master page.

### Applicability

This validator is only applied to `ReportDesign`.

## Field Summary

### Fields inherited from class org.eclipse.birt.report.model.validators.AbstractSemanticValidator

`modules, name`

## Constructor Summary

Constructors
Constructor
Description
`MasterPageRequiredValidator()`

## Method Summary

Modifier and Type
Method
Description
`static MasterPageRequiredValidator`
`getInstance()`
Returns the singleton validator instance.
`List<SemanticException>`
`validate(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)`
Validates whether the given report has one master page.

### Methods inherited from class org.eclipse.birt.report.model.validators.AbstractSemanticValidator

`canApplyToDesign, canApplyToLibrary, getName, isInTemplateParameterDefinitionSlot, setModules, setName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MasterPageRequiredValidator

public MasterPageRequiredValidator()

## Method Details

### getInstance

public static MasterPageRequiredValidator getInstance()
Returns the singleton validator instance.

Returns:
  the validator instance

### validate

public List<SemanticException> validate(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)
Validates whether the given report has one master page.

Specified by:
  `validate` in class `org.eclipse.birt.report.model.validators.AbstractElementValidator`
Parameters:
  `module` - the module
  `element` - the report to validate
Returns:
  error list, each of which is the instance of `SemanticException`.